Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.DirectCdnStreamingMediaOptions Class Reference

## Public Member Functions
Boolean | isPublishCameraTrack ()
Boolean | isPublishMicrophoneTrack ()
Boolean | isPublishCustomAudioTrack ()
Boolean | isPublishCustomVideoTrack ()
Boolean | isPublishMediaPlayerAudioTrack ()
Integer | getPublishMediaPlayerId ()
Integer | getCustomVideoTrackId ()
String | toString ()

## Public Attributes
Boolean | publishCameraTrack
Boolean | publishMicrophoneTrack
Boolean | publishCustomAudioTrack
Boolean | publishCustomVideoTrack
Boolean | publishMediaPlayerAudioTrack
Integer | publishMediaPlayerId
Integer | customVideoTrackId

## Detailed Description

The channel media options.

## Member Data Documentation

## ◆ publishCameraTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishCameraTrack

Determines whether to publish the video of the camera track.

- true: Publish the video track of the camera capturer.
- false: (Default) Do not publish the video track of the camera capturer.

## ◆ publishMicrophoneTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishMicrophoneTrack

Determines whether to publish the audio of the Microphonetrack.

- true: Publish the audio of the Microphone track.
- false: (Default) Do not publish the audio of the Microphone track.

## ◆ publishCustomAudioTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishCustomAudioTrack

Determines whether to publish the audio of the custom audio track.

- true: Publish the audio of the custom audio track.
- false: (Default) Do not publish the audio of the custom audio track.

## ◆ publishCustomVideoTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishCustomVideoTrack

Determines whether to publish the video of the custom video track.

- true: Publish the video of the custom video track.
- false: (Default) Do not publish the video of the custom video track.

## ◆ publishMediaPlayerAudioTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishMediaPlayerAudioTrack

Determines whether to publish the audio track of media player source.

- true: Publish the audio track of media player source.
- false: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

Integer io.agora.rtc2.DirectCdnStreamingMediaOptions.publishMediaPlayerId

Determines which media player source should be published. This parameter get from function getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

Integer io.agora.rtc2.DirectCdnStreamingMediaOptions.customVideoTrackId

The custom video track id which will used to publish.